### Method

# Gio InetAddressMask matches

since: 2.32

#### Declaration

    gboolean
    g_inet_address_mask_matches (
      GInetAddressMask* mask,
      GInetAddress* address
    )

#### Description

Tests if `address` falls within the range described by `mask`.

Available since: 2.32

#### Parameters

`address`

  Type: `GInetAddress`

  A `GInetAddress`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether `address` falls within the range described by `mask`.